#!/bin/sh
# two iterations: first:regular alfa=3.6 second:small dimg and set0:alfa=10.6
###################################
### Q inversion 		###
###################################


yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
datdir=${yisdir}
logdir=${yisdir}/log
shdir=/data/sep/yishen/WEMQA/dolphin/shScript/InversionV_pre_basic_3D/InversionQ

  # real shot number: nsx=n-1
  cd ${yisdir}
  rm -f PBS/*
  rm -f log/*

######################################################################
### iteration initialize					  ###
######################################################################

###################################
### bimg: background image with the initial Q model 
###################################

${shdir}/shImg3DInv.sh 0 y 80


###################################
### dimg: perturbed imaging from bimg:
###################################
 ${shdir}/shDimg.sh 0 

###################################
### Dq: initial gradient

###################################

${shdir}/shGrad3DInv.sh 0 n 80





###################################
### GrdPrc: gradiant processing (mask and smoothing)

###################################
  ${shdir}/shGradprcInv.sh 0 

###################################
### SrcDirect: search direction for the initial gradient

##################################
  ${shdir}/shDirectInv.sh 0 


  for iter in {1..10} 
  do
### alpha: line search to update model

  ${shdir}/shLinsrcInv.sh  ${iter}

### bimg: background image with the initial Q model 
 ${shdir}/shImg3DInv.sh ${iter} y 80 
### dimg: perturbed imaging from bimg 
 ${shdir}/shDimg.sh ${iter} 
### Dq:  gradient 
 ${shdir}/shGrad3DInv.sh ${iter}  n 80

### GrdPrc: gradiant processing (mask and smoothing)
 ${shdir}/shGradprcInv.sh ${iter} y
### SrcDirect: search direction for the gradient
 ${shdir}/shDirectInv.sh ${iter} 
 #echo "${iter}"
 done

