#!/bin/sh

###################################
### Line search 		###
###shLinsrcInv.sh ${iter} 
###################################
yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
datdir=${yisdir}
logdir=${yisdir}/log
shdir=/data/sep/yishen/WEMQA/dolphin/shScript/InversionQ_pre_basic_2D
###################################
### search iteration 		###
###################################
P=${1}
O=$((${1}-1))
srch=${datdir}/dlp2D.iqtv.pre.basc.srch.iter${O}.H
grdo=${datdir}/dlp2D.iqtv.pre.basc.bq.iter${O}.H
grdp=${datdir}/dlp2D.iqtv.pre.basc.bq.iter${P}.H
alfaO=${datdir}/dlp2D.iqtv.pre.basc.alfa.iter${O}.H  
alfaP=${datdir}/dlp2D.iqtv.pre.basc.alfa.iter${P}.H  
fobjO=${datdir}/dlp2D.iqtv.pre.basc.fobj.iter${O}.H
fobjP=${datdir}/dlp2D.iqtv.pre.basc.fobj.iter${P}.H
enda=${datdir}/dlp.end.X18I*.H
nsrch=2

  cd ${yisdir}


for isrch in {1..3} 
do

#  echo "Step length in ${isrch} of iteration ${P}"
  #-----------------------------------------------------------------------------------
  #----------- gradient processing: grdp=grdo+isrch*alpha*srch 
  #-----------------------------------------------------------------------------------
  <${grdo} ${bindir}/myMPI-srchprcs.x srch=${srch}  alpha=${alfaO} isrch=${isrch} qmin=1.5 qmax=5.0>${grdp} 


  ${shdir}/shImgLine.sh ${P} n 80
  ${shdir}/shDimgLine.sh ${P} ${isrch}
done
   Cat ${datdir}/dlp2D.fobj.junk1.H ${datdir}/dlp2D.fobj.junk2.H ${datdir}/dlp2D.fobj.junk3.H axis=1>${datdir}/dlp2D.fobj.junka.H

  #-----------------------------------------------------------------------------------
  #----------- line search
  #-----------------------------------------------------------------------------------

  <${grdo} ${bindir}/myMPI-srchprcs.x nsrch=${nsrch} alphO=${alfaO} alphP=${alfaP} fobjP=${datdir}/dlp2D.fobj.junka.H fobjO=${fobjO} fobj=${fobjP} srch=${srch} qmin=1.5 qmax=5.0>${grdp}

  echo "line srch end" 



