#!/bin/sh

###################################
### Line search 		###
###shLinsrcInv.sh ${iter} 
###################################
yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
datdir=${yisdir}
logdir=${yisdir}/log
shdir=/data/sep/yishen/WEMQA/dolphin/shScript/InversionV_post_basic_2D
###################################
### search iteration 		###
###################################
P=${1}
O=$((${1}-1))
srch=${datdir}/dlp2D.bqiv.post.basc.srch.iter${O}.H
grdo=${datdir}/dlp2D.bqiv.post.basc.bvel.iter${O}.H
grdp=${datdir}/dlp2D.bqiv.post.basc.bvel.iter${P}.H
alfaO=${datdir}/dlp2D.bqiv.post.basc.alfa.iter${O}.H  
alfaP=${datdir}/dlp2D.bqiv.post.basc.alfa.iter${P}.H  
fobjO=${datdir}/dlp2D.bqiv.post.basc.fobj.iter${O}.H
fobjP=${datdir}/dlp2D.bqiv.post.basc.fobj.iter${P}.H
enda=${datdir}/dlp.end.X18I*.H
nsrch=2

  cd ${yisdir}


for isrch in {1..3} 
do

#  echo "Step length in ${isrch} of iteration ${P}"
  #-----------------------------------------------------------------------------------
  #----------- gradient processing: grdp=grdo+isrch*alpha*srch 
  #-----------------------------------------------------------------------------------
  <${grdo} ${bindir}/myMPI-srchprcs.x srch=${srch}  alpha=${alfaO} isrch=${isrch} qmin=1495.0 qmax=4523.92 >${grdp} 

#<dlp2D.bqiv.pre.basc.bvel.iter0.H bin/myMPI-srchprcs.x srch=dlp2D.bqiv.pre.basc.srch.iter0.H  alpha=dlp2D.bqiv.pre.basc.alfa.iter0.H isrch=1 qmin=1495.0 qmax=4523.92 >dlp2D.bqiv.pre.basc.bvel.iter101.H
#<dlp2D.bqiv.pre.basc.bvel.iter0.H bin/myMPI-srchprcs.x srch=dlp2D.bqiv.pre.basc.srch.iter0.H  alpha=dlp2D.bqiv.pre.basc.alfa.iter0.H isrch=2 qmin=1495.0 qmax=4523.92 >dlp2D.bqiv.pre.basc.bvel.iter102.H
  #-----------------------------------------------------------------------------------
  #----------- fobj at each isrch
  #-----------------------------------------------------------------------------------
  ${shdir}/shImgLine.sh ${P} n 80
  ${shdir}/shDimgLine.sh ${P} ${isrch}
done
   Cat ${datdir}/dlp2D.fobj.junk1.H ${datdir}/dlp2D.fobj.junk2.H  ${datdir}/dlp2D.fobj.junk3.H  axis=1>${datdir}/dlp2D.fobj.junka.H

  #-----------------------------------------------------------------------------------
  #----------- line search
  #-----------------------------------------------------------------------------------

  <${grdo} ${bindir}/myMPI-srchstep.x nsrch=${nsrch} alphO=${alfaO} alphP=${alfaP} fobjP=${datdir}/dlp2D.fobj.junka.H fobjO=${fobjO} fobj=${fobjP} srch=${srch} qmin=1495.0 qmax=4523.92>${grdp}



  echo "line srch end" 



