#!/bin/sh


###################################
### Gradient processing		###
###################################
# 1: iteration number 

yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
datdir=${yisdir}
logdir=${yisdir}/log


grdo=${datdir}/dlp3D.bqiv.pre.basc.grdo.iter${1}.H
grdp=${datdir}/dlp3D.bqiv.pre.basc.grdp.iter${1}.H
mskw=${datdir}/dlp3D.mask.watb.H
msks=${datdir}/dlp3D.mask.salt.H


  cd ${yisdir}


	Smooth rect1=15 rect2=10 rect3=3 <${grdo}|Window3d f3=7|Pad beg3=7 >junk1.H
	${bindir}/myMPI-gradprcs.x grdo=junk1.H rectx_grd=15 recty_grd=10 rectz_grd=1 nsmt_grd=1 smtgrd=n smttyp="triflt" grdmsk=y gscale=y gmsk=${mskw}
	Smooth <junk1.H rect1=3 rect3=3 >${grdp}
	Rm junk1.H



  

