#!/bin/sh
### 1.iter 2. qcomp or not (y not n) 3. qcomp_clip 4.Crossline number:0-27
yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
logdir=${yisdir}/log
datdir=${yisdir}
tmpdir=/tmp
XL=${4}
crecdir=${yisdir}/dat/crec/crecX${XL}
dimg=${datdir}/dlp3D.iqtv.pre.basc.dimg.iter${1}.H
bvel=${datdir}/dlp3D.bqiv.pre.basc.bvel.iter0.H
bq=${datdir}/dlp3D.iqtv.pre.basc.bq.iter${1}.H
csou=${datdir}/dlp3D.csou_25Hz.H


for iI in $(seq  0 8 360)


do
  echo "$((iI)), $((iI+1)),$((iI+2)),$((iI+3))"
  pbsname=${pbsdir}/dlpDqX${XL}I${iI}.pbs

  dq0=${tmpdir}/dlp.bas.grdo.X${XL}I$((iI)).H
  dq1=${tmpdir}/dlp.bas.grdo.X${XL}I$((iI+2)).H
  dq2=${tmpdir}/dlp.bas.grdo.X${XL}I$((iI+4)).H
  dq3=${tmpdir}/dlp.bas.grdo.X${XL}I$((iI+6)).H




  dq=${datdir}/dlp.bas.grdo.sumX${XL}I$((iI)).H
  crec0=${crecdir}/dlpCrecX${XL}I$((iI)).H
  crec1=${crecdir}/dlpCrecX${XL}I$((iI+2)).H
  crec2=${crecdir}/dlpCrecX${XL}I$((iI+4)).H
  crec3=${crecdir}/dlpCrecX${XL}I$((iI+6)).H



  end=${datdir}/dlp.end.X${XL}I${iI}.H

  if [ -f ${pbsname} ];
  then
     echo "File $FILE exists"
     rm -f ${pbsname}
  else
     echo "File $FILE does not exists"
  fi

  echo "#!/bin/tcsh" >> ${pbsname}
  echo "#PBS -S /bin/tcsh" >> ${pbsname}
  echo "#PBS -l nodes=1:ppn=16" >> ${pbsname}
  echo "#PBS -j oe " >> ${pbsname}
#	 if [ ${iI} -le 80 ]; then
 #      echo "#PBS -q sep " >> ${pbsname}
#	 else  
 #      echo "#PBS -q default " >> ${pbsname}
#	 fi
  echo "#PBS -q sep" >> ${pbsname}
  echo "#PBS -N ${pbsname/.pbs/}"  >> ${pbsname}
  #echo "#PBS -W x="PARTITION:sw121" ">>${pbsname}
  echo 'setenv PBS_O_WORKDIR /data/sep/yishen/WEMQA/dolphin'  >> ${pbsname}
  echo 'cd  /data/sep/yishen/WEMQA/dolphin' >> ${pbsname}
  echo 'setenv OMP_NUM_THREADS 16 '  >> ${pbsname}
  echo 'setenv PSC_OMP_AFFINITY TRUE '  >> ${pbsname}
  echo "find /tmp/ -type f -user yishen -exec rm -fr {} \;" >> ${pbsname}
  echo "ls /tmp" >> ${pbsname}
  
  
  echo "Window3d <${crec0} squeeze=n n3=196 >/tmp/junk.CrecX${XL}I$((iI)).H datapath=${tmpdir}/" >> ${pbsname}
  echo "Window3d <${crec1} squeeze=n n3=196 >/tmp/junk.CrecX${XL}I$((iI+2)).H datapath=${tmpdir}/" >> ${pbsname}
  echo "Window3d <${crec2} squeeze=n n3=196 >/tmp/junk.CrecX${XL}I$((iI+4)).H datapath=${tmpdir}/" >> ${pbsname}
  echo "Window3d <${crec3} squeeze=n n3=196 >/tmp/junk.CrecX${XL}I$((iI+6)).H datapath=${tmpdir}/" >> ${pbsname}


  echo "Scp ${dimg} /tmp/junk.dimg.iter${1}.I${iI}.X${XL}.H out=/tmp/junk.dimg.iter${1}.I${iI}.X${XL}.H@" >> ${pbsname}
  echo "Scp ${bvel} /tmp/junk.bvel.iter${1}.I${iI}.X${XL}.H out=/tmp/junk.bvel.iter${1}.I${iI}.X${XL}.H@" >> ${pbsname}
  echo "Scp ${bq} /tmp/junk.bq.iter${1}.I${iI}.X${XL}.H out=/tmp/junk.bq.iter${1}.I${iI}.X${XL}.H@" >> ${pbsname}
  echo "Scp ${csou} /tmp/junk.csou.I${iI}.H out=/tmp/junk.csou.I${iI}.H@" >> ${pbsname}




  echo "echo "shot=$((iI))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_lloyd.x csou=/tmp/junk.csou.I${iI}.H crec=/tmp/junk.CrecX${XL}I$((iI)).H bvel=/tmp/junk.bvel.iter${1}.I${iI}.X${XL}.H bq=/tmp/junk.bq.iter${1}.I${iI}.X${XL}.H memchk=n dq=${dq0} oper="ssfpi" cpximg=0 dimg=/tmp/junk.dimg.iter${1}.I${iI}.X${XL}.H   adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80  lloyd_nrf=3 lloyd_nstart=1,3 offset=y datapath=${tmpdir}/">>${pbsname}
  echo "echo "shot=$((iI+2))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_lloyd.x csou=/tmp/junk.csou.I${iI}.H crec=/tmp/junk.CrecX${XL}I$((iI+2)).H bvel=/tmp/junk.bvel.iter${1}.I${iI}.X${XL}.H bq=/tmp/junk.bq.iter${1}.I${iI}.X${XL}.H memchk=n dq=${dq1} oper="ssfpi" cpximg=0 dimg=/tmp/junk.dimg.iter${1}.I${iI}.X${XL}.H   adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80  lloyd_nrf=3 lloyd_nstart=1,3 offset=y datapath=${tmpdir}/">>${pbsname}
  echo "echo "shot=$((iI+4))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_lloyd.x csou=/tmp/junk.csou.I${iI}.H crec=/tmp/junk.CrecX${XL}I$((iI+4)).H bvel=/tmp/junk.bvel.iter${1}.I${iI}.X${XL}.H bq=/tmp/junk.bq.iter${1}.I${iI}.X${XL}.H memchk=n dq=${dq2} oper="ssfpi" cpximg=0 dimg=/tmp/junk.dimg.iter${1}.I${iI}.X${XL}.H   adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80  lloyd_nrf=3 lloyd_nstart=1,3 offset=y datapath=${tmpdir}/">>${pbsname}
  echo "echo "shot=$((iI+6))" ">>${pbsname}
  echo "${bindir}/myMPI-wet3d_lloyd.x csou=/tmp/junk.csou.I${iI}.H crec=/tmp/junk.CrecX${XL}I$((iI+6)).H bvel=/tmp/junk.bvel.iter${1}.I${iI}.X${XL}.H bq=/tmp/junk.bq.iter${1}.I${iI}.X${XL}.H memchk=n dq=${dq3} oper="ssfpi" cpximg=0 dimg=/tmp/junk.dimg.iter${1}.I${iI}.X${XL}.H   adj=1 mode=tomadj tombwd_type="bckward" offset=y bsctyp="tayexp" ntpx=2 nxpad_beg=3 nxpad_end=3 offset=y  nvrf=3 nqrf=1 nws=100 report=y radian=n wntwfs=n wntwfr=n qcomp=n qcomp_clip=80  lloyd_nrf=3 lloyd_nstart=1,3 offset=y datapath=${tmpdir}/">>${pbsname}






 echo "Add ${dq0} ${dq1} ${dq2} ${dq3} >${dq}">>${pbsname}
 echo "Spike n1=1 k1=1 mag=50>${end}">>${pbsname}
 #echo "Rm ${bimg0} ${bimg1} ${bimg2} ${bimg3} ${bimg4} ">>${pbsname}
 echo "find /tmp/ -type f -user yishen -exec rm -fr {} \;" >> ${pbsname}
 echo "ls /tmp" >> ${pbsname}
 echo "echo "finished"  ">>${pbsname}
  chmod 744 ${pbsname}
  qsub -o ${logdir}/dlpDqX${XL}I${iI}.o  ${pbsname} 

done

 


