#!/bin/sh


###################################
### Gradient processing		###
###################################
# 1: iteration number 

yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
datdir=${yisdir}
logdir=${yisdir}/log

bvel=${datdir}/dlp3D.bqiv.pre.basc.bvel.iter7.H
grdo=${datdir}/dlp3D.iqtv.pre.basc.grdo.iter${1}.H
grdp=${datdir}/dlp3D.iqtv.pre.basc.grdp.iter${1}.H
mskw=${datdir}/dlp3D.mask.watb.H
msks=${datdir}/dlp3D.mask.salt.H


  cd ${yisdir}



	Window3d<${bvel} squeeze=n n3=50|Pad n3out=300 extend=1|Smooth rect1=1 rect2=1 rect3=1>junk.vel.H
	Window3d<${grdo} f3=7 |Smooth rect1=10 rect2=10 rect3=1|Window3d n1=643 squeeze=n>junk.grdo.H
	echo o1=21255 >>junk.grdo.H
	Math file1=junk.grdo.H file2=junk.vel.H exp="file1/file2/file2/file2/file2">junk1.H
	Math file1=junk1.H file2=${mskw} exp="file1*file2">${grdp}
	${bindir}/myMPI-gradprcs.x grdo=${grdp} gmsk=${msks} rectx_grd=3 recty_grd=2 rectz_grd=2 nsmt_grd=2 smtgrd=y smttyp="triflt" grdmsk=y gscale=n
	Rm junk.vel.H junk.grdo.H junk1.H




