#!/bin/sh


###################################
### Gradient processing		###
###################################
# 1: iteration number 

yisdir=/data/sep/yishen/WEMQA/dolphin
pbsdir=${yisdir}/PBS
bindir=${yisdir}/bin
datdir=${yisdir}
logdir=${yisdir}/log


grdo=${datdir}/dlp2D.bqiv.post.basc.grdo.iter${1}.H
grdp=${datdir}/dlp2D.bqiv.post.basc.grdp.iter${1}.H
mskw=${datdir}/dlp2D.mask.watb.H
msks=${datdir}/dlp2D.mask.salt.H
Window3d<${mskw} squeeze=n j1=2|Interp d3out=10 n3out=600|Window3d squeeze n3=600>${datdir}/junk.mskw.H 

  cd ${yisdir}



if [ ${1} -eq 0 ];
then

	Smooth <${grdo} rect1=1 rect3=1 >junk1.H
	${bindir}/myMPI-gradprcs.x grdo=junk1.H rectx_grd=1 recty_grd=1 rectz_grd=1 nsmt_grd=1 smtgrd=y smttyp="triflt" grdmsk=y gscale=y gmsk=${datdir}/junk.mskw.H 
	Smooth <junk1.H rect1=3 rect3=3 >junk2.H
	Interp <junk2.H d1out=25 n1out=1286>${grdp}


  
